Mailinglist Archive: opensuse-updates (123 mails)

< Previous Next >
openSUSE-RU-2017:2764-1: moderate: Recommended update for vm-install
openSUSE Recommended Update: Recommended update for vm-install
______________________________________________________________________________

Announcement ID: openSUSE-RU-2017:2764-1
Rating: moderate
References: #1004324 #1020616 #1020751 #1024437 #1027106
#1033845 #1035779 #1039333 #1056738 #978526

Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that has 10 recommended fixes can now be
installed.

Description:

This update for vm-install fixes the following issues:

- Make it possible to install guests based on pvops kernel. (bsc#1056738)
- Add support for openSUSE15, SLES15 and SLED15. (bsc#1056738, bsc#1035779)
- Fix a problem that was causing vm-install to interpret disk size
incorrectly when used as a command line option. (bsc#1024437)
- Fix an invalid syntax error. (bsc#1039333)
- Fix parsing the os-release file so that the default OS selection is
returned correctly. (bsc#1033845)
- Fix a problem that was making ISO based installations of Xen PV guests
not automatically find the installation sources. (bsc#1027106)
- Fix initializing the host installation source location.
- Make it possible to specify the install source on text mode
installation. (bsc#978526)
- Insert the correct kernel flag for changing the screen resolution of PV
guests (the flag changed with the pvops kernel). (bsc#1020616)
- Fix an exception thrown without explanation when doing VM upgrade if the
'Configuration File' option is selected but no value given. (bsc#1020751)
- Fix a problem when installing SLES12 from SLES11 hypervisor.
(bsc#1004324)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1172=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

vm-install-0.8.68-2.3.1


References:

https://bugzilla.suse.com/1004324
https://bugzilla.suse.com/1020616
https://bugzilla.suse.com/1020751
https://bugzilla.suse.com/1024437
https://bugzilla.suse.com/1027106
https://bugzilla.suse.com/1033845
https://bugzilla.suse.com/1035779
https://bugzilla.suse.com/1039333
https://bugzilla.suse.com/1056738
https://bugzilla.suse.com/978526


< Previous Next >
This Thread
  • No further messages